Loading...
Searching...
No Matches
raptor::cutoff Class Reference

## Public Member Functions

| cutoff (cutoff &&)=default
| cutoff (cutoff const &)=default
| cutoff (prepare_arguments const &arguments)
uint8_t | get (std::filesystem::path const &filename) const noexcept
cutoff & | operator= (cutoff &&)=default
cutoff & | operator= (cutoff const &)=default

## Static Public Member Functions

static bool | file_is_compressed (std::filesystem::path const &filepath)

## Private Types

enum class | cutoff_kinds { fixed , filesize_dependent }

## Private Member Functions

uint8_t | impl (std::filesystem::path const &filename) const

## Static Private Member Functions

static bool | check_for_fasta_format (std::filesystem::path const &filepath, std::vector< std::string > const &valid_extensions=seqan3::format_fasta::file_extensions)

## Private Attributes

cutoff_kinds | cutoff_kind {cutoff_kinds::fixed}
uint8_t | fixed_cutoff {}

## Static Private Attributes

static constexpr std::array< uint64_t, 4 > const | cutoff_bounds
static constexpr std::array< uint8_t, 4 > const | cutoffs {1u, 3u, 10u, 20u}

## Member Data Documentation

## cutoff_bounds

std::array<uint64_t, 4> const raptor::cutoff::cutoff_bounds

static constexpr private

Initial value:
{314'572'800ULL,
524'288'000ULL,
1'073'741'824ULL,
3'221'225'472ULL}

The documentation for this class was generated from the following file:

- cutoff.hpp